"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Lint = require("tslint/lib/index");
class Formatter extends Lint.Formatters.AbstractFormatter {
    format(failures) {
        const outputLines = failures.map((failure) => {
            const fileName = failure.getFileName();
            const failureString = failure.getFailure();
            const lineAndCharacter = failure.getStartPosition().getLineAndCharacter();
            return `${fileName}:${lineAndCharacter.line + 1}:${lineAndCharacter.character + 1}: ${failureString}`;
        });
        return outputLines.join("\n") + "\n";
    }
}
exports.Formatter = Formatter;
